Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005985 [JEDI VCL] 00 JVCL Components major always 2012-09-17 16:04 2015-09-14 13:20
Reporter primarypower View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.45
Summary 0005985: JvInspector does not work properly in multi-monitor environment
Description When using the JvInspector in a multi-monitor environment, especifically when using the inspector in a secondary monitor (Not the primary) and clicking on a dropdown menu (In any item that has a dropdown menu), the menu will open on the primary monitor instead of the monitor where the inspector is being displayed.

I found the bug and fixed it myself in my copy of the code, please confirm the bug and apply the fixes to the official version!

Please see the screenshot of my code comparison. Basically instead of checking for Screen.Height and Screen.Width, you must check for Screen.DesktopHeight and Screen.DeskstopWidth
Additional Information
Tags No tags attached.
Attached Files png file icon JvInspector Bug.png [^] (139,966 bytes) 2012-09-17 16:04

- Relationships

There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2012-09-17 16:04 primarypower New Issue
2012-09-17 16:04 primarypower File Added: JvInspector Bug.png
2013-01-15 15:36 obones Status new => confirmed
2013-01-15 16:29 obones Status confirmed => resolved
2013-01-15 16:29 obones Fixed in Version => Daily / SVN
2013-01-15 16:29 obones Resolution open => fixed
2013-01-15 16:29 obones Assigned To => obones
2015-09-14 13:20 obones Fixed in Version Daily / GIT => 3.48


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker